import React, { ReactNode } from 'react';
interface VsAdminContextType {
    getToken: () => string | null;
    logoutUser: () => void;
    userEmail?: string;
}
interface VsAdminProviderProps {
    getToken: () => string | null;
    logoutUser: () => void;
    userEmail?: string;
    children: ReactNode;
}
export declare const VsAdminProvider: React.FC<VsAdminProviderProps>;
export declare const useVsAdmin: () => VsAdminContextType;
export {};
