export declare const translate: {
    companyName: string;
    common: {
        optional: string;
        createNew: string;
        filter: string;
        noRecordFound: string;
        addNew: string;
        delete: string;
        edit: string;
        cancel: string;
        save: string;
        confirmMessage: string;
        saveChanges: string;
    };
    components: {
        table: {
            rowPerPage: string;
            exportCsv: string;
        };
        dashboardHeader: {
            buttonTitle: string;
            changePassword: string;
            drawerTitle: string;
            dropdownLogoutOption: string;
            dropdownProfileOption: string;
            dropdownRegisterOption: string;
            profileName: string;
            register: string;
        };
        confirmationModal: {
            deleteConfirmation: string;
        };
        form: {
            addEdit: {
                submit: string;
                cancel: string;
                reset: string;
            };
        };
    };
    pages: {
        notFound: {
            title: string;
        };
        login: {
            email: string;
            emailError: string;
            emailNotExists: string;
            forgotPassword: string;
            invalidFieldValues: string;
            login: string;
            password: string;
            passwordError: string;
            passwordResetMessage: string;
        };
        changePassword: {
            buttonTitle: string;
            confirmNewPassword: string;
            confirmNewPasswordError: string;
            currentPassword: string;
            currentPasswordError: string;
            currentPasswordWrong: string;
            newPassword: string;
            newPasswordError: string;
            passwordChangeSuccess: string;
            passwordMismatch: string;
            passwordMatch: string;
        };
    };
};
