/** validate regex */
export declare const validateRegex: (email: string, regex: any) => any;
export declare const removeKeyFromQueryString: (queryString: string, key: string) => string;
/** get local storage value */
export declare const getLocalStorageValue: (key: string) => any;
/** to convert snake case to title case */
export declare const convertSnakeCaseToTitleCase: (value: string) => string;
/**
 * To download a file or a resource from a URL
 * @param file Optional File object to download
 * @param url Optional URL of the resource to download
 */
export declare const downloadFile: (file?: File | null, url?: string) => void;
export declare const notifySuccess: (message: string) => import("react-toastify").Id;
export declare const notifyError: (message: string) => import("react-toastify").Id;
export declare const notifyWarning: (message: string) => import("react-toastify").Id;
export declare const truncateUrl: (text: string | undefined, maxLength?: number) => string | undefined;
